﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ADG_Assistance.DB
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ADG_AssistanceEntities : DbContext
    {
        public ADG_AssistanceEntities()
            : base("name=ADG_AssistanceEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Appel> Appel { get; set; }
        public virtual DbSet<Assistance> Assistance { get; set; }
        public virtual DbSet<BonIntervention> BonIntervention { get; set; }
        public virtual DbSet<Client> Client { get; set; }
        public virtual DbSet<ColorAppel> ColorAppel { get; set; }
        public virtual DbSet<Contact> Contact { get; set; }
        public virtual DbSet<ContactProjet> ContactProjet { get; set; }
        public virtual DbSet<Contrat> Contrat { get; set; }
        public virtual DbSet<InfoCodeMail> InfoCodeMail { get; set; }
        public virtual DbSet<LigneIntervention> LigneIntervention { get; set; }
        public virtual DbSet<Mail> Mail { get; set; }
        public virtual DbSet<Membres> Membres { get; set; }
        public virtual DbSet<ModelWord> ModelWord { get; set; }
        public virtual DbSet<Parametre> Parametre { get; set; }
        public virtual DbSet<Personnel> Personnel { get; set; }
        public virtual DbSet<Projet> Projet { get; set; }
        public virtual DbSet<ProjetToContrat> ProjetToContrat { get; set; }
        public virtual DbSet<Serveur> Serveur { get; set; }
        public virtual DbSet<sysdiagrams> sysdiagrams { get; set; }
        public virtual DbSet<T_AppelMembres> T_AppelMembres { get; set; }
    }
}
